#!/bin/bash

ls -lah /Downloads

# use the SDK to build the module:
# https://github.com/IchthysMaranatha/asterisk-chan-quectel
# The module is for two vendors, the Quectel-EC* and Simcom SIM7600. In
# preparation I bought one of each (EC25EUX and SIM7600G specifically), I don't
# really care if only one will work, then I'll just buy more of that specific
# vendor's model.
# now I noticed there is actually a Makefile for openwrt in the repo already:
# https://github.com/IchthysMaranatha/asterisk-chan-quectel/tree/master/openwrt

tar -xJf /Downloads/openwrt-imagebuilder-${OPENWRT_VERSION}-*.tar.xz

cp -r feed /openwrt/
cp feeds.conf /openwrt/

cd openwrt

git checkout v${OPENWRT_VERSION}
cp ../feeds.conf .
cp ../config.buildinfo .config
./scripts/feeds update -a
./scripts/feeds install -a

export FORCE_UNSAFE_CONFIGURE=1
make defconfig
make tools/install
make toolchain/install

opkg info asterisk-chan-quectel

make package/asterisk-chan-quectel/compile
make package/index

mv bin/*.ipk ../openwrt-imagebuilder-*/packages/

cd ../openwrt-imagebuilder-*/

make info

make image \
	PROFILE=rpi-4 \
	PACKAGES="kmod-rtc-ds1307 \
                  kmod-usb-net-rtl8152 \
                  pciutils usbutils \
                  kmod-usb-net-qmi-wwan libqmi qmi-utils uqmi luci-proto-qmi \
                  asterisk \
                  asterisk-pjsip asterisk-bridge-simple \
		  asterisk-codec-alaw asterisk-codec-ulaw \
		  asterisk-res-rtp-asterisk kmod-nf-nathelper-extra \
		  asterisk-chan-quectel"


mkdir -p ../../out
mv build_dir/target-aarch64_cortex-a72_musl/linux-bcm27xx_bcm2711/tmp/*.gz ../../out
